## Intel Firmware Update V2 service

Intel Firmware Update V2 service — Support for the Intel Firmware Update V2 service.

## Functions

MbimMessage * | mbim_message_intel_firmware_update_v2_modem_reboot_set_new ()

## Description

This section implements support for requests, responses and notifications in the Intel Firmware Update V2 service.

## Functions

### mbim_message_intel_firmware_update_v2_modem_reboot_set_new ()

    MbimMessage *
    mbim_message_intel_firmware_update_v2_modem_reboot_set_new
                                   (MbimIntelBootMode boot_mode,
                                    guint32 timeout,
                                    GError **error);

Create a new request for the 'Modem Reboot' set command in the 'Intel Firmware Update V2' service.

#### Parameters

boot_mode | the 'BootMode' field, given as a MbimIntelBootMode. | [in]
timeout | the 'Timeout' field, given as a guint32. | [in]
error | return location for error or `NULL`. |

#### Returns

a newly allocated MbimMessage, which should be freed with `mbim_message_unref()`.

Since: 1.28